package mobile_api_controllers

import (
	"github.com/astaxie/beego"
)

// 平板端路由，以 /m/api 为前缀
func MobileAPIControllersRegisterRouters() {
	beego.Router("/m/api/login/pwd", &LoginAPIController{}, "post:LoginByPwd")

	// beego.Router("/m/api/test", &DialysisTestAPIController{}, "get:Test")
	beego.Router("/m/api/savebloodpressure", &CheckWeightApiController{}, "Post:SaveBloodPressure")
	beego.Router("/m/api/checkbeforedialysis", &CheckWeightApiController{}, "get:GetPatientInfoBeforeDialysis")
	beego.Router("/m/api/checkdialysis", &CheckWeightApiController{}, "get:GetPatientInfoDialysis")
	beego.Router("/m/api/savecheckdialysis", &CheckWeightApiController{}, "Post:SavePatientInfoDialysis")
	beego.Router("/m/api/scheduals", &DialysisAPIController{}, "get:Scheduals")
	beego.Router("/m/api/waiting_scheduals", &DialysisAPIController{}, "get:WaitingScheduals")

	beego.Router("/m/api/solution/create", &PatientApiController{}, "Post:CreateDialysisSolution")
	beego.Router("/m/api/solution/edit", &PatientApiController{}, "Post:EditDialysisSolution")
	beego.Router("/m/api/assessmentbefore/commit", &PatientApiController{}, "Post:EditAssessmentBeforeDislysis")

	beego.Router("/m/api/dialysisglobalconfig", &DialysisAPIController{}, "Get:GetDialysisGlobalConfig")
	beego.Router("/m/api/dialysis/record", &DialysisAPIController{}, "get:DialysisRecord")

	beego.Router("/m/api/dialysis/dialysisPrescription", &DialysisAPIController{}, "post:PostDialysisPrescription")
	beego.Router("/m/api/dialysis/treatmentSummary", &DialysisAPIController{}, "post:PostAtreatmentInfo")
	beego.Router("/m/api/dialysis/doublecheck", &DialysisAPIController{}, "post:PostDoubleCheck")
	beego.Router("/m/api/dialysis/acceptsAssessment", &DialysisAPIController{}, "post:PostAcceptsAssessment")
	beego.Router("/m/api/dialysis/assessmentAfterDislysis", &DialysisAPIController{}, "post:PostAssessmentAfterDislysis")
	beego.Router("/m/api/dialysis/finish", &DialysisAPIController{}, "post:Finish")
	beego.Router("/m/api/dialysis/allzone", &DialysisAPIController{}, "get:GetAllZone")
	beego.Router("/m/api/dialysis/patients", &DialysisAPIController{}, "get:GetSchedualPatientsList")
	beego.Router("/m/api/startOrder/edit", &DialysisAPIController{}, "post:ModifyStartDialysisOrder")
	beego.Router("/m/api/finishOrder/edit", &DialysisAPIController{}, "post:ModifyFinishDialysisOrder")

	beego.Router("/m/api/advice/create", &PatientApiController{}, "Post:CreateDoctorAdvice")
	beego.Router("/m/api/advice/edit", &PatientApiController{}, "Put:EditDoctorAdvice")
	beego.Router("/m/api/advice/stop", &PatientApiController{}, "Post:StopDoctorAdvice")
	beego.Router("/m/api/advice/creategroup", &PatientApiController{}, "Post:CreateGroupAdvice")
	beego.Router("/m/api/advice/group/modify_starttime", &PatientApiController{}, "Post:ModifyAdviceGroupStartTime")
	beego.Router("/m/api/advice/delete", &PatientApiController{}, "Delete:DeleteDoctorAdvice")
	beego.Router("/m/api/advice/exec", &PatientApiController{}, "Post:ExecDoctorAdvice")
	beego.Router("/m/api/advice/exec/modify", &PatientApiController{}, "Post:ModifyExecDoctorAdvice")

	beego.Router("/m/api/advice/check", &PatientApiController{}, "Post:CheckDoctorAdvice")
	beego.Router("/m/api/patient/info", &PatientApiController{}, "Get:GetPatientInfoWithDiseases")

	beego.Router("/m/api/monitor/add", &DialysisAPIController{}, "post:AddMonitorRecord")
	beego.Router("/m/api/monitor/edit", &DialysisAPIController{}, "post:EditMonitorRecord")
	beego.Router("/m/api/monitor/delete", &DialysisAPIController{}, "post:DeleteMonitor")

	beego.Router("/m/api/accepts/get", &DialysisAPIController{}, "Get:GetAcceptsAssessment")

	beego.Router("/m/api/patient/education", &PatientApiController{}, "get:GetPatientEducation")
	beego.Router("/m/api/patients/schedules", &PatientApiController{}, "Get:GetPatientSchedulesList")
	beego.Router("/m/api/patients/record", &PatientApiController{}, "Get:GetRecords")
	beego.Router("/m/api/patients/solutions", &PatientApiController{}, "Get:GetPatientDialysisSolutionList")
	beego.Router("/m/api/patients/doctoradvices", &PatientApiController{}, "Get:GetDoctorAdvices")

	beego.Router("/m/api/monitor", &PatientApiController{}, "Get:GetPatientMonitor")
	beego.Router("/m/api/monitor/patient", &PatientApiController{}, "get:SearchMonitorPatient")

	beego.Router("/m/api/alldoctors", &DoctorsApiController{}, "Get:GetAllDoctorAndNurse")
	beego.Router("/m/api/admin/users", &DoctorsApiController{}, "Get:GetAllAdminUsers")

	beego.Router("/m/api/solution", &DialysisAPIController{}, "Post:PostSolution")

	beego.Router("/m/api/schedule/advices", &DoctorAdviceAPIController{}, "Get:ScheduleAdvices")

	beego.Router("/m/api/dialysis/start", &DialysisAPIController{}, "Post:StartDialysis")

	beego.Router("/m/api/getelectronicsignature", &AdminUserApiController{}, "Get:GetAdminUserElectronicSignature")
	beego.Router("/m/api/savelectronicsignature", &AdminUserApiController{}, "Post:SaveAdminUserElectronicSignature")
	beego.Router("/m/api/my", &AdminUserApiController{}, "Get:GetMyInfo")

	beego.Router("/m/api/qiniu/uptoken", &QiNiuApiController{}, "get:GetQNUpToken")

	beego.Router("/m/api/getadviceconfigs", &DoctorAdviceAPIController{}, "Get:GetAdviceConfigs")

	beego.Router("/m/api/inspection/reference", &CheckApiController{}, "Get:GetInspectionReference")
	beego.Router("/m/api/inspection/list", &CheckApiController{}, "Get:GetInspections")

	beego.Router("/m/api/print/dialysisorder", &PatientApiController{}, "Get:GetPrintDialysisOrder")

	beego.Router("/m/api/schedule/urgentinit", &DialysisAPIController{}, "Get:UrgentScheduleInitData")
	beego.Router("/m/api/schedule/urgentadd", &DialysisAPIController{}, "Post:AddUrgentSchedule")

	beego.Router("/m/api/dialysis/sign", &DialysisAPIController{}, "Post:PostSignInfo")

	beego.Router("/m/api/monitor/get", &DialysisAPIController{}, "Get:GetLastMonitorRecord")
	beego.Router("/m/api/monitor/gettodaylast", &DialysisAPIController{}, "Get:GetLastMonitorRecordTody")

	beego.Router("/m/api/newadvice/delete", &PatientApiController{}, "Delete:DelDoctorAdvice")

	beego.Router("/m/api/delete/subadvice", &PatientApiController{}, "Delete:DelSubDoctorAdvice")

	beego.Router("/m/api/advice/unread", &PatientApiController{}, "Get:GetAdviceUnReadMessage")
	beego.Router("/m/api/patients/search", &PatientApiController{}, "Post:GetPatientsByKeyWord")

	beego.Router("/m/api/warehouse/query", &StockApiController{}, "get:GetWarehouse")

	beego.Router("/m/api/dialysis/advice_remind", &DialysisAPIController{}, "Get:GetLongAdvice")
	beego.Router("/m/api/advice_remind/create", &DialysisAPIController{}, "Post:CreateRemindDoctorAdvice")
	beego.Router("/m/api/dryweight/commit", &DialysisAPIController{}, "Post:UploadDryWeight")

	beego.Router("/m/api/solution/get", &DialysisAPIController{}, "Get:GetSolution")

	beego.Router("/m/api/schedule/get", &DialysisAPIController{}, "Get:GetSchedule")

}
